clear all

quest={'Die Programme ';'   heun_verfahren.m';'   mod_euler_verfahren.m';'   runge_kutta.m';'   lawson_verfahren.m';'muessen angepasst werden.';'Weiter?'};
answer=questdlg(quest,'Achtung:','Ja','Nein','Ja');

if ~strcmp(answer,'Ja')
    clear quest answer
    break
end

t_0=0;
y_0=0;
t_end=1.55;
f=@f_DGL;

h=0.01;
[t_heun,y_heun]=heun_verfahren(t_0,y_0,t_end,h,f);
[t_mod_euler,y_mod_euler]=mod_euler_verfahren(t_0,y_0,t_end,h,f);
[t_runge_kutta,y_runge_kutta]=runge_kutta(t_0,y_0,t_end,h,f);
[t_lawson,y_lawson]=lawson_verfahren(t_0,y_0,t_end,h,f);
[t_loes,y_loes]=loesung(t_0,t_end,h);


h_fig=figure;
set(h_fig,'Name','Loesung','NumberTitle','off')
plot(t_heun,y_heun,'r',t_mod_euler,y_mod_euler,'b',t_runge_kutta,y_runge_kutta,'g',t_lawson,y_lawson,'k');
legend('Mod Euler','Heun','Runge Kutta','Lawson','Location','BestOutside');

h_fig=figure;
set(h_fig,'Name','Fehler','NumberTitle','off')
plot(t_heun,(abs(y_loes-y_heun)),'r',t_mod_euler,(abs(y_loes-y_mod_euler)),'b',t_runge_kutta,(abs(y_loes-y_runge_kutta)),'g',t_lawson,(abs(y_loes-y_lawson)),'k');
set(gca,'YScale','log');
legend('Mod Euler','Heun','Runge Kutta','Lawson','Location','BestOutside');
title('Logarithmischer Fehler')

disp(['Ergebnis Heun: ',num2str(y_heun(end))]);
disp(['Ergebnis modifiziertes Euler: ',num2str(y_mod_euler(end))]);
disp(['Ergebnis klassisches Runge-Kutta: ',num2str(y_runge_kutta(end))]);
disp(['Ergebnis Lawson: ',num2str(y_lawson(end))]);
disp(['Ergebnis Loesung: ',num2str(y_loes(end))]);